﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Onboarding an Organization</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Onboarding an Organization</h1>
        <p>You can onboard organizations to EIC using different methods: bulk upload organization details to the application or API, or create new organization in the application. Regardless of the method used to onboard an organization, EIC enables you to validate the organization data using a Saviynt Extension file. The jar performs a validation check on all the details such as attributes and their values, endpoints and corresponding custom properties, organization owners and their ranks, and entitlements. The jar validates all the records, but displays only the first five records on the preview screen, irrespective of whether it finds a validation error or not. The validations on all records using the&#160;<strong>Download file&#160;</strong>button. The downloaded file contains a 'validation' column, which shows all validation errors associated with the record.</p>
        <p>The organization onboarding includes the following sections</p>
        <h2 id="OnboardinganOrganization-CustomValidationJARConfigurationsforOnboardingOrganization">Custom Validation JAR Configurations for Onboarding Organization</h2>
        <p>You can create organizations in EIC using UI, bulk upload, and API. With 6.0 SP1 onwards, EIC introduces a custom validation JAR framework that helps validate the mandatory parameters, values specified based on data types supported, validations against external data, and check for business rule evaluation based on the specified value using UI, Bulk upload, or API. It performs a validation check on all organization related pages such as Attributes and its values, Endpoints and related Custom Properties, Organization Owners and their ranks, and Entitlements. The JAR validates all records but displays only the first five records on the preview screen, irrespective of whether it contains the validation error or not. You can see the validations on all records using the&#160;<strong>Download file&#160;</strong>button. The downloaded file contains a 'validation' column, which shows all validation errors associated with the record.</p>
        <p>The new Global Configuration parameters are added to specify the class name and method name where the custom validation JAR logic is defined. To enable validation for organizations created using UI, bulk upload, or API, specify the following values in <strong>Admin &gt; Global Configuration &gt; Organization </strong>parameter.</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 187.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 573.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Validation Configurations for Onboarding Organization</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Organization Bulk Upload Validation External Class</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify the external class name for validating the organizations uploaded to EIC from the Admin or ARS module.</p>
                        <p class="table-text">The class name for organizations created via Bulk: com.saviynt.custom.OrganizationBulkProcessor.OrganizationBulkProcessor</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Organization Bulk Upload Validation External Method</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify the external method name under the corresponding class for validating the organization uploaded to EIC from the Admin or ARS module.</p>
                        <p class="table-text">The method name for organizations created via Bulk: bulkProcessOranization</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Organization Validation External Class</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify the external class name for validating the organizations created using <strong>UI </strong>or <strong>API</strong>.</p>
                        <p class="table-text">The class name for organizations created via UI/API: com.saviynt.custom.OrganizationBulkProcessor.OrganizationBulkProcessor</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Organization Validation External Method</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">Specify the external method name under the corresponding class for validating the organizations created using <strong>UI </strong>or <strong>API</strong>. </p>
                        <p class="table-text">The method name for organizations created via UI/API: processOrganization</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p>The following objects are sent to the Saviynt Extension for validation:</p>
        <ul>
            <li>
                <p>ORGANIZATION RELATED METADATA: Indicates the complete metadata details of an organization that is visible on the Organization Details page.</p>
            </li>
            <li>
                <p>SOURCE: Indicates the source (<strong>ARS</strong>, <strong>Admin</strong>, or <strong>API</strong>) of the request for the JAR to identify from where the create or update organization is triggered.</p>
            </li>
            <li>
                <p>SOURCE_ACTION: Indicates the action type triggered. The action type includes: "createOrg", "updateOrg", "createUser", "updateUser", "createUserRequest", or "updateUserRequest". For bulk upload, the source action is common for creating or updating an organization.</p>
            </li>
            <li>
                <p>CREATEFLAG: Indicates create or update call.</p>
            </li>
            <li>
                <p>ORGANIZATION Related Objects: Indicates the organization related object(s) such as End Point, Entitlements, Roles, Owners, and Attributes sent in the validation request. </p>
            </li>
        </ul>
        <p>
            <img src="../../Resources/Images/Custom Validation JAR.png" style="width: 1200px;height: 400px;border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
        </p>
        <p>Figure: Custom Validation JAR Configurations for Organization Onboarding</p>
        <h2 id="OnboardinganOrganization-CreatinganOrganization">Creating an Organization</h2>
        <p>To create an organization using EIC UI, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Identity Repository &gt; Organization </strong>or <strong>ARS &gt; Manage Organization &gt; Create New Organization</strong>.<br />The Organization list page is displayed.</p>
            </li>
            <li>
                <p>Click <strong>Actions &gt; Create New Organization</strong>.<br />The Create New Organization page is displayed.</p>
            </li>
            <li>
                <p>Specify the mandatory parameter details. The mandatory parameters for creating an organization are <b>Organization Name, Organization Type, Start Date</b>,and <strong>End Date</strong>. <br />If you do not specify the details of mandatory parameters or the specified data does not match the validation rules defined in the Custom Validation JAR framework, then a Validation Error message is displayed.</p>
                <p>
                    <img src="../../Resources/Images/Sample Validation.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Sample Validation Error for mandatory parameters check<br /><br />The <strong>Last Attestation Date</strong> indicates the date when the organization was last certified by the owner as a part of the Organization Owner Campaign review. After locking the Organization Owner Campaign, the organization attestation date maps to the 'Last Attestation Date' parameter on the Organization Details page. The 'Last Attestation Date' is retained until the organization is again certified and locked.&#160; &#160; &#160;<br />The End date indicates the date until the organization is active. After the end date is reached, the organization status changes to inactive. From Release v6.0 SP1 onwards, you can configure the custom properties from custom property 1 to custom property 28. These custom properties (from 1-28) are available irrespective of the mode of creation, which is using UI, ARS Request, API, and Bulk upload.<br /></p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">For more information on the organization’s attributes, see <MadCap:xref href="Creating-Organization.htm#top">Creating Organization</MadCap:xref>.</p>
                </div>
            </li>
            <li>
                <p>Click <strong>Next</strong>.<br />The Organization Owner page is displayed. </p>
            </li>
            <li>
                <p>(Optional) Click the <strong>Organization Owner </strong>button to add an organization owner. <br />You can add a user or a user group as an organization owner. You can search for a usergroup or user using the basic search. Additionally, using the Advanced Search option, you can select the usergroup from the dropdown option to search for a specific usergroup name. You need to manually select the user by selecting the checkbox. </p>
            </li>
            <li>
                <p>(Optional) Select the Organization Owner(s) and click <strong>Save</strong>. <br />The username, rank, firstname, lastname, and city where the owner belongs is displayed. You can change the rank of the organization owner from 1 to 10. You can also add the same owner with different ranks as an organization owner. </p>
            </li>
            <li>
                <p>Additionally, you can assign a policy to the user/user group. The assigned policy governs the organization’s access provided to the organization owner. The available options to assign a policy are: superadmin, admin, bulk admin, and readonly. The organization privileges assigned as part of the corresponding policy are as follows: </p>
                <ol>
                    <li>
                        <p><strong>Superadmin:</strong> Indicates the delegated admin with Read, Update, Delete organization privileges + Bulk Upload of Organization + ability to manage the security of the organization (add/remove users as admin/bulkadmin/readonly).</p>
                    </li>
                    <li>
                        <p><strong>admin:</strong> Indicates the delegated admin with Read, Update, and Delete organization privileges.</p>
                    </li>
                    <li>
                        <p><strong>bulk admin:</strong> The bulk admin is the delegated admin with Read, Update, Delete organization privileges + Bulk Upload of Organization privileges assigned.</p>
                    </li>
                    <li>
                        <p><strong>readonly:</strong> The readonly assigns the user ‘readonly’ permissions to view all tabs of the organization.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>Click <strong>Next </strong>to add Endpoint(s) to the organization. </p>
            </li>
            <li>
                <p>(Optional) Add Endpoints</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click <strong>Actions &gt; Add Endpoint</strong> to add endpoints to the organization.</p>
                    </li>
                    <li>
                        <p>Select the endpoints you want to add and click <strong>Save</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Next</strong>.<br />You can add values for 5 custom properties 1-5 for endpoints while creating or updating the organization. The changes are visible in the Organization History tab and Version tab.  </p>
                    </li>
                </ol>
            </li>
            <li>
                <p>(Optional) Add Roles</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click <strong>Actions &gt; Add Roles </strong>to add the roles to the organization.</p>
                    </li>
                    <li>
                        <p>Select the roles you want to add and click <strong>Save</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Next</strong>.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>(Optional) Add Entitlements</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click <strong>Actions &gt; Add Entitlement Value </strong>to add entitlements to the organization.</p>
                    </li>
                    <li>
                        <p>Select the entitlements you want to add and click <strong>Save</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Next</strong>.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>(Optional) Add Organization Attribute List </p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click <strong>Actions &gt; Add Attributes </strong>to add attributes to the organization. The attributes are dynamic in nature. You can create multiple attributes and the individual attribute can contain multiple properties. These attributes can be provisioned to AD or they can be imported from AD. These attributes are an extension to the Custom Property and are grouped together with a defined desired values. For example, Locality is a Group, and street, city, and Pincode are the attributes in it. These attributes can be provisioned to AD.</p>
                    </li>
                    <li>
                        <p>Specify the Attribute Group Name, Value, and attributes you want to add and click <strong>Create</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Next</strong>.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>Click <strong>Send for Approval</strong>.<br />A business justification screen is displayed. </p>
            </li>
            <li>
                <p>Specify the business justification in comments and click <strong>Confirm</strong>.<br />Based on the workflow configuration, the request is sent for approval. After the request is approved, the newly created organization is listed on the Organization List page.<br /></p>
                <p>
                    <img src="../../Resources/Images/Organization List page.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 400px;" />
                </p>
                <p>Figure: Organization List page<br /></p>
            </li>
            <li>
                <p>Click the newly created Organization to view the <strong>Users</strong> tab in <strong>Read-Only </strong>mode. If you want to assign an organization to the user, go to <strong>Admin &gt; Identity Repository &gt; Users</strong> tab.</p>
            </li>
        </ol>
        <h2 id="OnboardinganOrganization-UploadingOrganization">Uploading Organization</h2>
        <p>EIC provides the bulk upload of organizations feature to simplify and quickly create organizations. In bulk upload of organizations, you need to pre-populate a file (supported formats are xls or xlsx) with the organization details that you need to upload along with other details. There are a total of 6 worksheets in Excel used for uploading organization details. These worksheet columns are: Customer, Roles, Endpoints, Entitlements, Owners, and Attributes. </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">EIC provides you two options for uploading organizations. You can perform a full import or an incremental import. If you are performing an <strong>incremental </strong>import you need to have an additional column named <strong>OPERATION</strong> in each worksheet where you can specify ‘ADD, UPDATE, or DELETE’ action for the corresponding record as part of the incremental import.  </p>
        </div>
        <p><strong>Tips for Worksheet-wise Columns</strong>
        </p>
        <ul>
            <li>
                <p>CUSTOMER Worksheet: Specify the customername, customertype, status, start, and end date columns. All options are mandatory. </p>
            </li>
            <li>
                <p>ENDPOINTS Worksheet: Specify the customername, endpoint names, and values for custom properties 1-5.</p>
            </li>
            <li>
                <p>ROLES Worksheet: Specify the customer name and role name columns.</p>
            </li>
            <li>
                <p>ENTITLEMENTS Worksheet: Specify the customer name and entitlement values. </p>
            </li>
            <li>
                <p>OWNERS Worksheet: You can optionally specify the values for customername, ownernames, and ranks (1-10). </p>
            </li>
            <li>
                <p>ATTRIBUTES Worksheet: Specify the customername, attributegroupname, value, attributename, and attributevalue. </p>
            </li>
        </ul>
        <h3 id="OnboardinganOrganization-Prerequisites">Prerequisites</h3>
        <p>Before performing a full or incremental upload of an organization, ensure the following prerequisites are met:</p>
        <ul>
            <li>
                <p>Create an <strong>Organizations</strong> folder at ‘<label class="filename-path">c:/Saviynt/Import/Datafiles/</label>’ path for pre-populating the organization and other attribute details.</p>
            </li>
            <li>
                <p>Download a sample file after selecting the <strong>Upload Type </strong>(Full Incremental)from the dialog box displayed after selecting <strong>Admin &gt; Organizations &gt; Actions &gt; Upload Organization</strong>. </p>
            </li>
            <li>
                <p>Feed-in the records for uploading the organization in the supported format (xls/xlsx) only. </p>
            </li>
            <li>
                <p>For incremental import, ensure that the <strong>Operations</strong> column mentions the operation name ‘ADD, UPDATE, or DELETE’ that you want to perform for the corresponding records. </p>
            </li>
            <li>
                <p>Create an <strong>Organizations</strong> folder at ‘<label class="filename-path">c:/Saviynt/Import/Datafiles/</label>’ path to download the validated file when you click the Download button in the <strong>Preview </strong>screen.</p>
            </li>
        </ul>
        <h3 id="OnboardinganOrganization-Procedure">Procedure</h3>
        <p>To perform a full or incremental import of organization, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Organizations &gt; Actions &gt; Upload Organization</strong>.<br />The Import Organization Details pop-up is displayed.</p>
            </li>
            <li>
                <p>Click <strong>Select</strong> to choose the xls or xlsx data file comprising the details of the organization you want to import.<br />An Open dialog box is displayed.</p>
            </li>
            <li>
                <p>Select the organization file to upload and click <strong>Open</strong>.</p>
            </li>
            <li>
                <p>Select the Import Type as <strong>Full import</strong> from the drop-down menu.<br />You can additionally perform validations using a Saviynt Extension file framework on the records available in the data file.<br />or </p>
            </li>
            <li>
                <p>Select the Import Type as <strong>Incremental Import</strong> if you want to update the existing records with new values. <br />An incremental import is used when you want to update the existing organization and corresponding details such as organization owner, roles, endpoints, entitlements, owners, and attributes with the changes you want for respective attributes. </p>
            </li>
            <li>
                <p>Based on your validation requirement, select the desired option. </p>
                <ol>
                    <li>
                        <p>Select 'Yes' in the <strong>Check Rule from Custom JAR </strong>option to perform the validation check using the Saviynt Extension Framework. The records in the uploaded file that pass the validations are successfully uploaded. For the initial records that fail the validations, you can view the errors in the preview screen. The first 5 records validation details are shown      </p>
                    </li>
                    <li>
                        <p>Select 'No' in <strong>Check Rule from Custom JAR </strong>option if you do not want to perform the validation check.  </p>
                    </li>
                </ol>
            </li>
            <li>
                <p>Click <strong>Preview </strong>to view the validation errors for the initial list of records. Click <strong>Download File </strong>if you want to download the validation errors for records other than the first 5 records displayed on the initial preview page. <br /></p>
                <p>
                    <img src="../../Resources/Images/Organization Preview Screen.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Organization Preview Screen</p>
            </li>
            <li>
                <p>Click <strong>Import Now</strong> to complete the upload of full or incremental import of records.<br />The Organization Summary page displays the total number of organizations newly added, updated, unprocessed, and deleted.<br /></p>
                <p>
                    <img src="../../Resources/Images/Upload Organization1.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200ch;height: 500px;" />
                </p>
                <p>Figure: Upload Organization Summary </p>
            </li>
        </ol>
        <h2 id="OnboardinganOrganization-ImportingOrganizationUsingOrganizationImportJob">Importing Organization Using Organization Import Job</h2>
        <p>The organizations that exist in applications such as AD or LDAP can now be imported using the new job <strong>Organization Import Job </strong>available in <strong>Job Control Panel &gt; Data</strong>. The new job <strong>Organization Import Job </strong>has been introduced from Release v6.0SP1 onwards. Importing organizations from AD/LDAP to EIC enables maintaining the lifecycle of these organizations from EIC. The Organization Import Job displays both the success or failure of an import done. The success of the job triggers the Organization Update Rule where you can specify the condition matching the import of organization to be done and trigger desired action in the Organization update rule. You can also set the email template at the connector level to be triggered when the import fails. In that case, an email is sent to the user personas configured in the failure email template.  </p>
        <p>The following organization is available in AD, which is being imported using the <strong>Organization Import Job</strong>. </p>
        <p>
            <img src="../../Resources/Images/Organization in AD.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
        </p>
        <p>Figure: Organization in AD being imported to EIC</p>
        <h3 id="OnboardinganOrganization-Prerequisites.1">Prerequisites</h3>
        <p>To perform an import from AD or LDAP to EIC, ensure that the following prerequisites are met:</p>
        <ul>
            <li>
                <p>In AD or LDAP connection parameters, specify the following JSON sample to import organizations in the ORGANIZATION_ATTRIBUTE parameter.</p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">{
"mapping": "CUSTOMERNAME::o#String,CUSTOMPROPERTY1::displayName#String,CUSTOMPROPERTY2::st#String,CUSTOMPROPERTY3::postBoxOffice#String,CUSTOMPROPERTY4::postalAddress#String,CUSTOMPROPERTY5::postalCode#String,CUSTOMPROPERTY6::cn#String,DESCRIPTION::description#String,CREATEDATE::whenCreated#date,UPDATEDATE::whenChanged#date,ENTITYCLASS::objectClass#String,RECONCILATION_FIELD::CUSTOMPROPERTY10,CUSTOMPROPERTY10::objectGUID#Binary,CUSTOMERTYPE::1#SavData,STATUS::1#SavData,RISK::0#SavData,SCORE::0#SavData","attributes": [{"name":"locality","filter":["L=*"],"mapping":"whenChanged#date,distinguishedname#String,objectcategory#String,objectGUID#Binary,RECONCILATION_FIELD#objectGUID"}]
}</MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
                <p>The attributes such as CUSTOMERNAME indicate the EIC attribute name and 'o' indicates the 'Organization' in AD or LDAP. The CUSTOMPROPERTY1 in EIC is mapped to the displayname of the organization attribute in AD. The CUSTOMERTYPE attribute indicates the organization type in EIC for which there is no direct attribute in AD. Hence, it is set to '0' which signifies the Data Security type organization. The other possible types are: 1 for Grouping, 2 for Request Rules, 3 for Company Organization types. The other attributes such as <strong>SavData.Risk </strong>and <strong>SavData.Score </strong>does not exist in AD and are not null attributes in DB hence, these attributes are defined.<br />There are two 'RECONCILATION_FIELD' occurrences used in the JSON, each for a different purpose. One of the RECONCILATION_FIELD is used to compare the attributes passed for an existing organization and update the organization object. If the attributes passed are not available then it creates an organization. The second RECONCILATION_FIELD is used to update the organization attributes in EIC. The purpose of attributes is it enables adding desired AD-related attributes when you have exhausted all the custom properties 1-28.   </p>
            </li>
        </ul>
        <h3 id="OnboardinganOrganization-Procedure.1">Procedure</h3>
        <p>To import an organization from AD to EIC, perform the following steps: </p>
        <ol>
            <li>
                <p>Select <strong>Admin &gt; Job Control Panel</strong>.</p>
            </li>
            <li>
                <p>Specify the job name that helps to easily identify the job type you are running.</p>
            </li>
            <li>
                <p>Select the Job Type as <strong>Data &gt; Organization Import Job</strong>.</p>
            </li>
            <li>
                <p>Select AD from the External Connection list from where you are importing the organization.</p>
            </li>
            <li>
                <p>Click <strong>Save</strong> and again click <strong>Yes </strong>to continue.</p>
            </li>
            <li>
                <p>Click the <strong>start</strong> button to perform an import.</p>
            </li>
            <li>
                <p>If you want to schedule the trigger, specify the time in minutes, hours, day, or weekly schedule.<br /></p>
                <p>
                    <img src="../../Resources/Images/Scheduling the Import.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Scheduling the Import<br /></p>
            </li>
            <li>
                <p>After the organization is imported to EIC, it displays on the Organization List page.<br /></p>
                <p>
                    <img src="../../Resources/Images/Imported Organization.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Imported Organization to EIC using the job<br /></p>
            </li>
            <li>
                <p>Go to the <strong>Attributes </strong>tab to view the different attributes that are imported from AD/LDAP. <br />These attributes are an extension to the Custom Property and can be grouped together with a defined desired value. For example, locality is a group, and street, city, and pincode are the attributes in it. These attributes can be provisioned to AD as well. <br /></p>
                <p>
                    <img src="../../Resources/Images/Importing attributes.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Importing attributes  </p>
            </li>
            <li>
                <p>Go to Job History Details page to view the job names, job group, connection name, job start and end date, and file name.</p>
            </li>
            <li>
                <p>Click the job name. <br />The Job Log Detail page displays the count of total organizations in feed, total organizations inserted, total organizations updated, success/failure, and time taken for import.</p>
                <p>
                    <img src="../../Resources/Images/Job Log Detail page.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                    <br />
                </p>
            </li>
            <li>
                <p>In case of an import failure, the Organization Import Job provides the error details.<br /></p>
                <p>
                    <img src="../../Resources/Images/Organization Import Failure.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Organization Import Failure Status<br /></p>
            </li>
            <li>
                <p>You can configure the email template at the connector level so that it triggers an email to corresponding users when the import fails.<br /></p>
                <p>
                    <img src="../../Resources/Images/Email template at Connector.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Email template at Connector level for Import Failure Notification</p>
            </li>
        </ol>
        <h2 id="OnboardinganOrganization-CreatingOrganizationUsingRESTAPI">Creating Organization Using REST API</h2>
        <p>You can create an organization using&#160;<strong>createOrganization</strong>&#160;or&#160;<strong>createOrganizationRequest&#160;</strong>Rest APIs. Both APIs undergo validations as part of the Saviynt Extension framework if API validations are enabled. The&#160;<strong>createOrganization</strong>&#160;API does not go through the request approval, and hence the organization is directly created. But, if you want to invoke the request approval, use the createOrganizationRequest API. A request is generated for approval. After the request is approved, it creates an organization successfully. If there is an error while creating an organization, it sends an error code in the API response.     </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You can use<strong>&#160;updateOrganization&#160;</strong>and<strong>&#160;updateOrganizationRequest&#160;</strong>APIs toupdate anorganization. If you want auto-approval for update organization, use <strong>updateOrganization</strong> API. To invoke approval and route the update organization request through a workflow, use <strong>updateOrganizationRequest</strong> API. If a version for the organization already exists or the organization is sent for approval, it is not updated. Instead, you get a response that the version already exists or is sent for approval.</p>
        </div>
        <p>The following is the sample request body of <strong>updateorganization</strong> API:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>API</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">{
"organizationname" : "Orgauto26",
"username" : "admin",
"organizationtype" :"Company",
"parentorganization" : "",
"primarycontact" : "",
"customproperty1":"NIC",
"customproperty2":"CP2",
"customproperty3":"444222",
"customproperty4":"S:WD;C:IP",
"customproperty5":"CP5",
"customproperty6":"CP6",
"customproperty7":"CP7",
"customproperty8":"CP8@abc.com",
"customproperty9":"CP9",
"customproperty10":"CP10",
"customproperty11":"CP11",
"customproperty12":"CP12",
"customproperty13":"CP13",
"customproperty14":"CP14",
"customproperty15":"CP15",
"customproperty16":"Shell",
"customproperty17":"CP17",
"customproperty18":"IAL1",
"customproperty19":"CP19",
"customproperty20":"CP20",
"customproperty21":"Shell Managed",
"customproperty22":"Shell",
"customproperty23":"DS,GF",
"customproperty24":"GI,C4C",
"customproperty25":"S,C,N",
"customproperty26":"CP26",
"customproperty27":"CP27",
"customproperty28":"CP28",
"status": "active",
"startdate": "Jun 23, 2020",
"enddate": "Jul 30, 2020",
"location" : "Bangalore",
"comments" : "hello",
"description":"xyz",
"owners" : [
{
"owner" : "admin",
"rank" : 1,
"updatetype":"REMOVE"},
{
"owner" : "nayanS",
"rank" : 10,
"updatetype":"ADD"}
],
"endpoints": [
{
"endpointname": "okta",
"cp1": "cp1",
"cp2": "cp2",
"cp3": "cp3",
"cp4": "cp4",
"cp5": "cp5",
"updatetype":"REMOVE"},
{
"endpointname": "AD",
"updatetype":"REMOVE"}
],"roles": [
{
"rolename": "Enterprise Role 01",
"updatetype":"REMOVE"},
{
"rolename": "Application Role 01",
"updatetype":"REMOVE"},
{
"rolename": "Enterprise Role 03",
"updatetype":"ADD"}
],
"entitlements": [
{
"entitlementvalue": "Entitlement 03",
"entitlementtype": "EntType02",
"endpoint": "UpgradationTest01",
"updatetype":"REMOVE"},
{
"entitlementvalue": "Entitlement 01",
"entitlementtype": "EntType01",
"endpoint": "UpgradationTest01",
"updatetype":"ADD"}
],
"attributes": [
{
"groupname": "att",
"attributes": "street",
"value": "group val",
"attributevalues": {
"street": "abc"},
"updatetype": "updategroup"},
{
"groupname": "dfdf",
"attributes": "street,pincode",
"value": "group val",
"attributevalues": {
"street": "treee",
"pincode": "123456"},
"updatetype": "deletegroup"}
]
}
</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="OnboardinganOrganization-UploadingOrganizationUsingARS">Uploading Organization Using ARS</h2>
        <p>Using the <strong>Manage Organization</strong> tile, you can perform Upload Organization for a full or incremental import. There are no tasks created to upload organization requests.</p>
        <p><strong>Prerequisite</strong>
        </p>
        <p>Ensure that the SAV role assigned to the user has the ‘Upload Organization’ privilege. To verify, go to <strong>SAV_ROLE &gt; Create Request Home Option tab &gt; Select Manage Organization.</strong></p>
        <p>To perform a full or incremental organization upload, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <strong>ARS &gt; Manage Organization &gt; Upload Organization</strong>.<br /></p>
                <p>
                    <img src="../../Resources/Images/Upload Organization Request.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
                <p>Figure: Upload Organization Request<br />The Import Organization Details dialog box is displayed. </p>
                <p>
                    <img src="../../Resources/Images/Import Organization Details.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                    <br />
                </p>
            </li>
            <li>
                <p>Click <strong>Select </strong>and browse to the location where you have the .xls file with the organization details.</p>
            </li>
            <li>
                <p>Select the file and click <strong>Open</strong>.<br /></p>
                <p>
                    <img src="../../Resources/Images/Selected Organization data.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
                <p>Figure: Selected Organization data file</p>
            </li>
            <li>
                <p>Select the desired <strong>Import Type </strong>option. The options are: Full or Incremental</p>
            </li>
            <li>
                <p>Additionally, you can perform validations using the Saviynt Extension framework. Select <strong>Yes</strong> to perform validations using the Saviynt Extension.</p>
            </li>
            <li>
                <p>Click <strong>Preview </strong>to view a summary of the organization’s details.<br /></p>
                <p>
                    <img src="../../Resources/Images/Organization Preview.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 200px;" />
                </p>
                <p>Figure: Organization Preview</p>
            </li>
            <li>
                <p>Click <strong>Import Now</strong> to start the import.<br />The Organization Summary page displays the total number of organizations added, updated, and unprocessed.<br /></p>
                <p>
                    <img src="../../Resources/Images/Organization Summary.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
                <p>Figure: Organization Summary</p>
            </li>
            <li>
                <p>Go to the Organization List page to view the newly added organization.  <br /></p>
                <p>
                    <img src="../../Resources/Images/Newly added organization.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 200px;" />
                </p>
                <p>Figure: Newly added organization<br /></p>
            </li>
        </ol>
        <p><a href="../../Resources/Attachments/Company_full_import.xlsx">Full Import file</a>
        </p>
        <p><a href="../../Resources/Attachments/Company_Incremental_import.xlsx (1).xlsx">Incremental Import file</a>
        </p>
    </body>
</html>